Package io.milvus.param.role

## Class SelectUserParam.Builder

- java.lang.Object
- - io.milvus.param.role.SelectUserParam.Builder

- Enclosing class:
    SelectUserParam

      public static final class SelectUserParam.Builder
      extends java.lang.Object

  Builder for `SelectUserParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SelectUserParam` | `build()` | Verifies parameters and creates a new `SelectUserParam` instance.
    `SelectUserParam.Builder` | `withIncludeRoleInfo​(boolean includeRoleInfo)` | Sets the includeRoleInfo.
    `SelectUserParam.Builder` | `withUserName​(@NonNull java.lang.String userName)` | Sets the userName.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withUserName

          public SelectUserParam.Builder withUserName​(@NonNull
                                                      @NonNull java.lang.String userName)

      Sets the userName. userName cannot be empty or null.
      Parameters:
        `userName` - userName
      Returns:
        `Builder`

    - #### withIncludeRoleInfo

          public SelectUserParam.Builder withIncludeRoleInfo​(boolean includeRoleInfo)

      Sets the includeRoleInfo. includeRoleInfo default false.
      Parameters:
        `includeRoleInfo` - includeRoleInfo
      Returns:
        `Builder`

    - #### build

          public SelectUserParam build()
                                throws ParamException

      Verifies parameters and creates a new `SelectUserParam` instance.
      Returns:
        `SelectUserParam`
      Throws:
        `ParamException`